Page MenuHomePhabricator

ecore_wl2: Add APIs to get window properies.
ClosedPublic

Authored by CHAN on Nov 27 2019, 12:13 AM.

Details

Summary

Creates APIs to get property.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
CHAN created this revision.Nov 27 2019, 12:13 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

CHAN requested review of this revision.Nov 27 2019, 12:13 AM
CHAN edited the summary of this revision. (Show Details)Nov 27 2019, 12:16 AM
CHAN added a reviewer: devilhorns.
CHAN updated this revision to Diff 27141.Nov 27 2019, 1:25 AM

Add ecore_wl2_window_aspect_get.

devilhorns requested changes to this revision.Nov 27 2019, 6:12 AM

@CHAN all of the @since 1.27 should actually be changed to @since 1.24

This revision now requires changes to proceed.Nov 27 2019, 6:12 AM
CHAN updated this revision to Diff 27170.Nov 27 2019, 8:46 PM

Fox doc

devilhorns requested changes to this revision.Nov 29 2019, 5:52 AM
devilhorns added inline comments.
src/lib/ecore_wl2/ecore_wl2_window.c
1023

This should be:

EINA_SAFETY_ON_NULL_RETURN_VAL(window, NULL);

1047

EINA_SAFETY_ON_NULL_RETURN_VAL(window, NULL);

1389

EINA_SAFETY_ON_NULL_RETURN_VAL(window, NULL);

This revision now requires changes to proceed.Nov 29 2019, 5:52 AM
CHAN updated this revision to Diff 27219.Dec 2 2019, 4:43 AM

Code modify

devilhorns accepted this revision.Dec 2 2019, 5:49 AM
This revision is now accepted and ready to land.Dec 2 2019, 5:49 AM
Closed by commit rEFL6162914be593: ecore_wl2: Add APIs to get window properies. (authored by Woochanlee <wc0917.lee@samsung.com>, committed by devilhorns). · Explain WhyDec 2 2019, 5:49 AM
This revision was automatically updated to reflect the committed changes.